[git-rebase]
command=git rebase origin/$(?master)

[rsync-exclude]
command=rsync -rzvhp --exclude

[rsync-ignore]
command=rsync --filter=': -.gitignore'

[tensorboard]
command=tsb

[checkport]
command=netstat -ltnp | fzf

[pytest]
command=pytest test --cov=$(?master) --cov-report=html

[sphinx-doc]
command=cd docs && make html && cd ..

[sphinx-api]
command=cd docs && sphinx-apidoc -o api ../$(?abc)

[make-install]
command=make DESTDIR=$(?abc) install

[tar-install]
command=tar -xzf $(?abc)

[install-requirement]
command=pip install -r requirements.txt

[reverse-ssh]
command=autossh -M 0 -o "ServerAliveInterval 45" -o "ServerAliveCountMax 2" -R 43022:localhost:22 $(?ws)

[reverse-port-back]
command=ssh localhost -p 43022

[img2mp4]
command=ffmpeg -framerate $(?2) -pattern_type glob -i '$(?*.jpg)' -c:v libx264 -r 30 -pix_fmt yuv420p out.mp4

[delete-local-tag]
command=git tag -d $(?v0.0.1)

[delete-remote-tag]
command=git push --delete origin $(?v0.0.1)

[pip-pyyaml]
command=pip install --ignore-installed PyYAML

[wandb-pip]
command=pip install --force-reinstall git+git://github.com/wandb/client.git@task/joblib#egg=wandb

[install-ycm]
command=cd ~/.dotfiles/vim/bundle/YouCompleteMe && CXX=/usr/bin/g++-$(?9) python3 install.py

[hydra-job]
command=python $(?main).py --cfg job

[deb-install-locally]
command=dpkg -x $(?main).deb $HOME

